<?php


namespace App\Entities\Profissional;

use App\Entities\Pessoa\Pessoa;
use App\Utils\Builder;

class ProfissionalBuilder implements Builder
{
    private $id;
    private $id_pessoa;
    private $adicionado_por;
    private $criado_em;
    private $indicado_por;

    public function setId($id)
    {
        $this->id = $id;
        return $this;
    }

    public function setIdPessoa($id_pessoa)
    {
        $this->id_pessoa = $id_pessoa;
        return $this;
    }

    public function setAdicionadoPor($adicionado_por)
    {
        $this->adicionado_por = $adicionado_por;
        return $this;
    }

    public function setCriadoEm($criado_em)
    {
        $this->criado_em = $criado_em;
        return $this;
    }

    public function setIndicadoPor($indicado_por)
    {
        $this->indicado_por = $indicado_por;
        return $this;
    }



    public function build () {
        $profissional = new Profissional();
        if (isset($this->id)) {
            $profissional->setId($this->id);
        }
        if (isset($this->id_pessoa)) {
            $profissional->setIdPessoa($this->id_pessoa);
        }
        if (isset($this->adicionado_por)) {
            $profissional->setAdicionadoPor($this->adicionado_por);
        }
        if (isset($this->criado_em)) {
            $profissional->setCriadoEm($this->criado_em);
        }
        if (isset($this->atualizado_em)) {
            $profissional->setAtualizadoEm($this->atualizado_em);
        }

        return $profissional;
    }
}